<?php
/**********************************************************************
    Copyright (C) FrontAccounting, LLC.
	Released under the terms of the GNU General Public License, GPL, 
	as published by the Free Software Foundation, either version 3 
	of the License, or (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
    See the License here <http://www.gnu.org/licenses/gpl-3.0.html>.
***********************************************************************/
//$serverName = "172.25.250.20syai";
//$serverName = "192.168.69.31uat";
function get_prod_siar()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select IDProduct,ProductCode,ProductName from TProduct order by IDProduct asc";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();
	while($row = sqlsrv_fetch_array($stmt)){
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prodcode[]=$row[1];
			$prod[]=$row[2];
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid,$prodcode);
}

function get_prod_siar2($cat)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$where="where idcategory like '".$cat."' and idmftype='CLOSE' ";
	if($cat=='KONVEN')
	$where="where idcategory != 'KPD' and idcategory != 'DP' and idmftype='CLOSE' ";
	
	$tsql = "select IDProduct,ProductCode,ProductName,idcategory from TProduct ".$where." order by IDProduct asc";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();$prodcat=array();
	while($row = sqlsrv_fetch_array($stmt)){
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prodcode[]=$row[1];
			$prod[]=$row[2];
			$prodcat[]=$row[3];
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid,$prodcode,$prodcat);
}

function get_holiday($thn)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$where="where holidaydate like '".$thn."%'";
	
	$tsql = "select convert(varchar,holidaydate,120) from tholiday ".$where." ";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();
	while($row = sqlsrv_fetch_array($stmt)){
		$prodid[]=$row[0];
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return $prodid;
}

function get_prod_siar_syai()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select IDProduct,ProductCode,ProductName from TProduct 
where ProductCode in ('RSRIF','RSCGF','SOGF','SMSF2','MSMAF','RSTDF','SFIF','RSOPS','MSDAA','RSMFR1','MSPTP')
 order by IDProduct asc";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();
	while($row = sqlsrv_fetch_array($stmt)){
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prodcode[]=$row[1];
			$prod[]=$row[2];
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid,$prodcode);
}
function get_prod_siar_dp()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select IDProduct,ProductCode,ProductName,sinvestfundcode from TProduct where idcategory in ('DP','BL') order by IDProduct asc";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();
	while($row = sqlsrv_fetch_array($stmt)){
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prodcode[]=$row[1];
			$prodname[]=$row[2];
			$prod[]=$row[2];
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid,$prodcode);
}
function get_nav_siar2($tgl1,$tgl2)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	
$tsql="select P.ProductName,P.ProductCode,
				convert(varchar,OH.OutstandingDate,120),
			   CustomerID = OH.IDCustomer,
			   ProductID = OH.IDProduct,
			   BalanceUnit = ISNULL(OH.BalanceUnit, 0),
			   NAV = ISNULL(TN.Value, 0),
			   PercentageFee = ISNULL(SFR.FeeAmount,0) / 365,
			   MGTFee = ISNULL(OH.BalanceUnit,0) * ISNULL(TN.Value,0) * ISNULL(SFR.FeeAmount,0) / 100 / 365
		FROM dbo.fn_TOutstandingHistoryFIFO_GetBalancePerProduct(NULL,NULL,DATEADD(DAY,0,'".$tgl2."')) OH
		LEFT JOIN dbo.TNAV TN ON TN.IDProduct = OH.IDProduct AND TN.NAVDate='".$tgl2."'
		LEFT JOIN dbo.TPRODUCT P ON P.IDProduct = OH.IDProduct 
		LEFT JOIN dbo.TProductFeeByDate PF ON PF.IDProduct = OH.IDProduct AND PF.[Type] = 'MGT' 
		AND PF.IsActive = 1 AND PF.EffectiveDate <= '".$tgl2."'
		LEFT JOIN dbo.TSharingFee SF ON SF.FeeID = PF.FeeID AND SF.IDStatus = 'ACTIVE'
		LEFT JOIN dbo.TSharingFeeRule SFR ON SFR.FeeID = SF.FeeID AND SFR.IDStatus = SF.IDStatus
		where 
		OH.OutstandingDate between '".$tgl1."' and  '".$tgl2."' 
		order by OH.OutstandingDate,P.ProductName";
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$navdate=array();$value=array();
	$a=0;$b=0;
	while($row = sqlsrv_fetch_array($stmt)){

		$nav[$row[2]][$row[0]]=$row[5];
		$balance[$row[2]][$row[0]]=$row[6];
		if (!in_array($row[2], $navdate)){
			$navdate[]=$row[2];
			$a++;
		}
		if (!in_array($row[0], $prod)){
			$prodid[]=$row[0];
			$prod[]=$row[0];
			$b++;
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid,$navdate,$nav,$balance);
}
function get_nav_siar($tgl1,$tgl2)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select a.IDProduct,ProductCode,ProductName,convert(varchar,b.navdate,120),b.value 
from TProduct a 
inner join TNAV b on b.IDProduct=a.IDProduct
where b.NAVDate between '".$tgl1."' and '".$tgl2."' order by b.navdate,ProductName";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$navdate=array();$value=array();
	$a=0;$b=0;
	while($row = sqlsrv_fetch_array($stmt)){

		$value[$row[3]][$row[2]]=$row[4];
		if (!in_array($row[3], $navdate)){
			$navdate[]=$row[3];
			$a++;
		}
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prod[]=$row[2];
			$b++;
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid,$navdate,$value);
}
function get_nab_siar($prodid,$tgl2)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	//$tsql = "select * from TNAV where idproduct=".$prodid." and NAVDate='".$tgl2."' ";  
	$tsql="select  Value,TotalNetAsset,OutstandingUnit,BalanceUnit,AvgUnitCost
from TNAV a
left join fn_TOutstandingHistoryFIFO_GetBalancePerProduct(4584,null,'".$tgl2."') bu 
on a.IDProduct=bu.IDProduct and  a.NAVDate=bu.OutstandingDate
where NAVDate like '".$tgl2."' and a.IDProduct=".$prodid." ";
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$row = sqlsrv_fetch_array($stmt);
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return $row;
	//return $tsql;
}


function get_nab_tgl_siar($thn,$bln)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select convert(varchar,max(NAVDate),120) from tnav 
where NAVDate like '".$thn."-".$bln."%'
group by IDProduct ";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$row = sqlsrv_fetch_array($stmt);
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return $row[0];
	//return $tsql;
}


function get_unit_siar($prodid,$tgl)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select sum(balanceunit) from fn_TOutstandingHistoryFIFO_GetBalancePerProduct(null,".$prodid.",'".$tgl."')";  
	
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$navdate=array();$value=array();
	$row = sqlsrv_fetch_array($stmt);
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return $row[0];
}

function get_aum_siar($prodid,$tgl)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	} 
	$tsql = "select a.OutstandingUnits,a.navvalue
		from TMGTFeeHistory a 
		where a.ProductID=".$prodid." and a.NAVDate='".$tgl."'
		order by feedate desc";  
	/*
	$tsql = "select sum(balanceunit) from fn_TOutstandingHistoryFIFO_GetBalancePerProduct(null,".$prodid.",'".$tgl."')";
	
	*/ 
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$row = sqlsrv_fetch_array($stmt);
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $row;
}


function get_mgtfee($tgl,$tgl2)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql="select P.ProductName,P.ProductCode,
				convert(varchar,OH.OutstandingDate,120) as tgl,
			   CustomerID = OH.IDCustomer,
			   ProductID = OH.IDProduct,
			   BalanceUnit = ISNULL(OH.BalanceUnit, 0),
			   NAV = ISNULL(TN.Value, 0),
			   PercentageFee = ISNULL(SFR.FeeAmount,0) / 365,
			   MGTFee = ISNULL(OH.BalanceUnit,0) * ISNULL(TN.Value,0) * ISNULL(SFR.FeeAmount,0) / 100 / 365
		FROM dbo.fn_TOutstandingHistoryFIFO_GetBalancePerProduct(NULL,NULL,DATEADD(DAY,0,'2017-07-31')) OH
		LEFT JOIN dbo.TNAV TN ON TN.IDProduct = OH.IDProduct AND TN.NAVDate='2017-07-31'
		LEFT JOIN dbo.TPRODUCT P ON P.IDProduct = OH.IDProduct 
		LEFT JOIN dbo.TProductFeeByDate PF ON PF.IDProduct = OH.IDProduct AND PF.[Type] = 'MGT' AND PF.IsActive = 1 AND PF.EffectiveDate <= '2017-08-01'
		LEFT JOIN dbo.TSharingFee SF ON SF.FeeID = PF.FeeID AND SF.IDStatus = 'ACTIVE'
		LEFT JOIN dbo.TSharingFeeRule SFR ON SFR.FeeID = SF.FeeID AND SFR.IDStatus = SF.IDStatus
		--where OH.OutstandingDate between '2017-07-01' and '2017-07-31'
		--group by OH.IDProduct
		order by OH.OutstandingDate desc";
	/*
	$tsql="select sum(a.mgtfee) as mgtfee,a.sharingfee,b.productname,c.nameagent,f.custodyname,convert(varchar,max(a.feedate),120) as tgl
from TMGTFeeHistory a 
inner join TProduct b on a.ProductID=b.IDProduct 
left join TAgent c on a.agentid=c.agentid 
left join TSubAccount d on a.subaccountid=d.idsubaccount
left join TCustomer e on d.idcustomer=e.IDCustomer
inner join trefbankcustody f on b.idbankcustody=f.idbankcustody 
where a.feedate >= '".$tgl."' and a.feedate <= '".$tgl2."' and a.mgtfee>0
group by a.sharingfee,b.productname,c.nameagent,f.custodyname";
	/*
	$tsql = "select sum(a.mgtfee) as mgtfee,a.sharingfee,b.productname,c.nameagent,e.idcustomer,e.firstname
from TMGTFeeHistory a 
inner join TProduct b on a.ProductID=b.IDProduct 
left join TAgent c on a.agentid=c.agentid 
left join TSubAccount d on a.subaccountid=d.idsubaccount
left join TCustomer e on d.idcustomer=e.IDCustomer
where a.feedate >= '".$tgl."' and a.feedate <= '".$tgl2."'
group by a.sharingfee,b.productname,c.nameagent,e.idcustomer,e.firstname ";  
*/
//order by feedate desc
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}
function get_mgtfee_cust($prod,$cust,$tgl,$tgl2)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql="select convert(varchar,OutstandingDate,120) as tgl,'' 
,P.ProductCode 
,value 
,BalanceUnit 
,CustomerID
,b.FullName
,'' 
,aum=BalanceUnit*value ,mfee=BalanceUnit*value*1.9*1.1/100/365 
from fn_CRMReport_OutstandingBalanceUnit('".$tgl."','".$tgl2."') TB 
inner JOIN dbo.TPRODUCT P ON P.IDProduct = TB.ProductID 
inner join tcustomer b on b.IDCustomer=TB.CustomerID 
left JOIN dbo.TNAV TN ON TN.IDProduct = TB.ProductID AND TN.NAVDate=TB.OutstandingDate
where b.idcustomer=".$cust." ";
	if($prod!='0')
	$tsql.="  and P.productcode='".$prod."' ";
//echo $tsql;
	/*
	$tsql="SELECT convert(varchar,a.navdate,120) as tgl,a.UnitHolderIDNo,a.productcode,sum(a.navvalue),sum(a.units),b.idcustomer,b.FirstName,
	 PercentageFee = ISNULL(SFR.FeeAmount,0) / 365,
	 MGTFee = ISNULL(sum(a.units),0) * ISNULL(sum(a.navValue),0) * ISNULL(SFR.FeeAmount,0) / 100 / 365
	 FROM vTOutstandingHistoryFIFO_Units a
	 inner join tcustomer b on b.UnitHolderIDNo=a.UnitHolderIDNo
	LEFT JOIN dbo.TPRODUCT c ON c.ProductCode = a.ProductCode 
	LEFT JOIN dbo.TProductFeeByDate PF ON PF.IDProduct = c.IDProduct AND PF.[Type] = 'MGT' AND PF.IsActive = 1 AND PF.EffectiveDate <= '".$tgl2."'
	LEFT JOIN dbo.TSharingFee SF ON SF.FeeID = PF.FeeID AND SF.IDStatus = 'ACTIVE'
	LEFT JOIN dbo.TSharingFeeRule SFR ON SFR.FeeID = SF.FeeID AND SFR.IDStatus = SF.IDStatus
	 where navdate between '".$tgl."' and '".$tgl2."' ";
	if($prod!='0')
	$tsql.="  and a.productcode='".$prod."' ";
	if($cust!='0')
	$tsql.="  and b.idcustomer=".$cust." ";
	$tsql.=" and units!=0
	 group by a.navdate,a.UnitHolderIDNo,a.productcode,a.navvalue,a.units,b.idcustomer,b.FirstName,SFR.FeeAmount";
	*/
	//and a.productcode='MSEOF'
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}


function get_mgtfee_custall($prod,$cust,$tgl,$tgl2,$intday=0,$fee=0,$adj=0,$days=365,$tgl3)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  

	//,OH.OutstandingDate,TN.TotalNetAsset
	/*
	$tsql="select OH.NoAccount,P.productcode,TN.Value,OH.BalanceUnit,b.IDCustomer,b.FullName
	,''
	,MGTFee = (ISNULL((OH.BalanceUnit),0) * ISNULL((TN.Value),0)) 
	FROM  dbo.fn_TOutstandingHistoryFIFO_GetBalancePerProduct(NULL,null,DATEADD(DAY,0,'".$tgl2."')) OH
	LEFT JOIN dbo.TPRODUCT P ON P.IDProduct = OH.IDProduct 
	LEFT JOIN dbo.TNAV TN ON TN.IDProduct = OH.IDProduct AND TN.NAVDate=OH.OutstandingDate
	inner join tcustomer b on b.IDCustomer=OH.IDCustomer
	where OH.OutstandingDate between '".$tgl."' and '".$tgl2."' ";
	if($prod!='0')
	$tsql.="  and P.productcode='".$prod."' ";
	$tsql.="and b.InvestorType='C' order by OH.OutstandingDate desc";

	 $tsql="select ''
	,P.ProductCode
	,value
	,sum(BalanceUnit)
	,CustomerID,b.FullName,''
	,aum=sum(BalanceUnit)*value
	,mfee=sum(BalanceUnit)*value*1.9*1.1/100/365
	from TBalanceSalesRevenue TB
	inner JOIN dbo.TPRODUCT P ON P.IDProduct = TB.ProductID 
	inner join tcustomer b on b.IDCustomer=TB.CustomerID
	left JOIN dbo.TNAV TN ON TN.IDProduct = TB.ProductID AND TN.NAVDate=TB.OutstandingDate
	where OutstandingDate like '".$tgl2."' ";
	if($prod!='0')
	$tsql.="  and P.productcode='".$prod."' ";
	 $tsql.=" group by P.ProductCode
	,Value
	,CustomerID,FullName";
	*/


	$tsql="
	select '' ,
	P.ProductCode ,
	NAV ,
	BalanceUnit,
	CustomerID,b.FullName,
	'' ,
	aum=BalanceUnit*NAV ,
	mgtfee,percentagefee
	from fn_CRMReport_OutstandingBalanceUnit('".$tgl3."','".$tgl3."') OH
	inner JOIN dbo.TPRODUCT P ON P.IDProduct = OH.ProductID  
	inner join tcustomer b on b.IDCustomer=OH.CustomerID ";
	if($prod!='0')
	$tsql.="  where P.productcode='".$prod."' ";
	$tsql.=" ";

	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}

function get_total_mfee2($tgl='2017-10-31',$cust=0,$prod='msbof',$fee=array())
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));   
	}  
	$tsql="select ''
	,P.ProductCode
	,value
	,sum(BalanceUnit)
	,CustomerID,FullName
	from TBalanceSalesRevenue TB
	inner JOIN dbo.TPRODUCT P ON P.IDProduct = TB.ProductID 
	inner join tcustomer b on b.IDCustomer=TB.CustomerID
	left JOIN dbo.TNAV TN ON TN.IDProduct = TB.ProductID AND TN.NAVDate=TB.OutstandingDate
	where OutstandingDate in (
		select dateadd(day,0,max(navdate)) from tnav where navdate <= dateadd(month,-1,'".$tgl."') 
		group by DATEPART(Month, NAVDate) 
	) 
	and P.productcode='".$prod."'  ";
	if($cust!=0)
	$tsql.="and TB.CustomerID=".$cust." ";
	$tsql.="and value <> 0
	group by P.ProductCode
	,Value
	,CustomerID,FullName";

	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  $total=0;
	while($row = sqlsrv_fetch_array($stmt)){
		$aum=$row[2]*$row[3];
		$intday=@$fee[5];
		$feeamn=@$fee[2];
		$adjamn=@$fee[4];
		$days=@$fee[6];
		if($days>0)
		$mfee=@$aum*@$feeamn*@$adjamn/100/@$days;
		else
		$mfee=@$aum*@$feeamn*@$adjamn/100;

		$data[$row[1]][$row[4]]=@$data[$row[1]][$row[4]]+$mfee;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;


	return $data;
}

function get_total_mfee($tgl='2017-10-31',$cust=0,$prod='msbof',$fee=array())
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));   
	}  
	$tsql="select ''
	,P.ProductCode
	,value
	,sum(BalanceUnit)
	from TBalanceSalesRevenue TB
	inner JOIN dbo.TPRODUCT P ON P.IDProduct = TB.ProductID 
	inner join tcustomer b on b.IDCustomer=TB.CustomerID
	left JOIN dbo.TNAV TN ON TN.IDProduct = TB.ProductID AND TN.NAVDate=TB.OutstandingDate
	where OutstandingDate in (
		select dateadd(day,0,max(navdate)) from tnav where navdate <= dateadd(month,-1,'".$tgl."') 
		group by DATEPART(Month, NAVDate) 
	) 
	and P.productcode='".$prod."'  ";
	if($cust!=0)
	$tsql.="and TB.CustomerID=".$cust." ";
	$tsql.="and value <> 0
	group by P.ProductCode
	,Value
	,CustomerID,FullName";
	//'".$tgl."' 
	/*
	like (select top 1 dateadd(day,0,max(navdate)) 
	from tnav 
	where navdate <= dateadd(month,-1,'".$tgl."') ) 

	in (
		select dateadd(day,-1,max(navdate)) from tnav group by DATEPART(Month, NAVDate) 
	)
	*/
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  $total=0;
	while($row = sqlsrv_fetch_array($stmt)){
		//echo $row[5].'<br>';

		$aum=$row[2]*$row[3];


		$total+=$aum;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;

		$intday=@$fee[5];
		$feeamn=@$fee[2];
		$adjamn=@$fee[4];
		$days=@$fee[6];
		if($days>0)
		$mfee=@$aum*@$feeamn*@$adjamn/100/@$days;
		else
		$mfee=@$aum*@$feeamn*@$adjamn/100;

	return $mfee;
}

function get_cust($cust=0)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql="SELECT idcustomer,FirstName FROM tcustomer a ";
	if($cust!=0)
	$tsql.="where idcustomer=".$cust." ";
	$tsql.="order by FirstName";

	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}

function get_prods()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql="SELECT * FROM TPRODUCT a order by productcode";

	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}

function get_shrfee($tgl,$tgl2,$prod=null,$agen=null)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$where='';
	/*
	if($prod!=null)
		$where.="And a.ProductID=".$prod." ";
	if($agen!=null)
		$where.="And a.agentid=".$agen." ";
	
	$tsql = "select a.sharingfee,b.productname,c.nameagent,e.idcustomer,e.firstname
from TSharingFeeHistory a 
inner join TProduct b on a.ProductID=b.IDProduct 
left join TAgent c on a.agentid=c.agentid 
left join TSubAccount d on a.subaccountid=d.idsubaccount
left join TCustomer e on d.idcustomer=e.IDCustomer
where a.feedate >= '".$tgl."' and a.feedate <= '".$tgl2."' ".$where."
group by a.sharingfee,b.productname,c.nameagent,e.idcustomer,e.firstname"; 

	$tsql="select convert(varchar,a.navdate,120),a.balanceunits,a.navvalue,a.sharingfee,e.unitholderidno
from TSharingFeeHistory a 
inner join TProduct b on a.ProductID=b.IDProduct 
left join TSubAccount d on a.subaccountid=d.idsubaccount
left join TCustomer e on d.idcustomer=e.IDCustomer
where a.feedate >= '".$tgl."' and a.feedate <= '".$tgl2."' 
".$where." order by a.navdate asc"; 

$tsql="select convert(varchar,OH.OutstandingDate,120),* 
		FROM dbo.fn_TOutstandingHistoryFIFO_GetBalancePerProduct(NULL,".$prod.",DATEADD(DAY,0,'".$tgl2."')) OH 		
		LEFT JOIN dbo.TNAV TN ON TN.IDProduct = OH.IDProduct AND TN.NAVDate='".$tgl2."'
		LEFT JOIN dbo.TSubAccount SA ON SA.IDSubAccount = OH.IdSubAccount
		OUTER APPLY dbo.fnCore_SIAR_GetAgentCustomer('".$tgl2."',NULL,SA.IDCustomer,NULL) AC
		OUTER APPLY dbo.fnCore_SIAR_GetSalesStructure('".$tgl2."',NULL,AC.AgentId) SS
		LEFT JOIN dbo.TProductFeeByDate PF ON PF.IDProduct = SA.IDProduct AND PF.[Type] = 'MGT' 
		AND PF.IsActive = 1 AND PF.EffectiveDate <= '".$tgl2."'
		LEFT JOIN dbo.TSharingFee SF ON SF.FeeID = PF.FeeID AND SF.IDStatus = 'ACTIVE'
		LEFT JOIN dbo.TSharingFeeRule SFR ON SFR.FeeID = SF.FeeID AND SFR.IDStatus = SF.IDStatus
		WHERE AC.IDCustomer = SA.IDCustomer AND SS.Sales_AgentId = AC.AgentId 
		and SA.IDCustomer =".$agen."
		and OH.OutstandingDate between '".$tgl."' and '".$tgl2."' ";
*/
	$tsql="select convert(varchar,OH.OutstandingDate,120),b.unitholderidno,nav,balanceunit,aum=nav*balanceunit 
from fn_CRMReport_OutstandingBalanceUnit('".$tgl."','".$tgl2."') OH 
inner JOIN dbo.TPRODUCT P ON P.IDProduct = OH.ProductID 
inner join tcustomer b on b.IDCustomer=OH.CustomerID 
where P.IDProduct=".$prod." and OH.CustomerID=".$agen."";
//order by feedate,b.productname desc
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}
function get_shrfee2($tgl,$tgl2,$sa=null)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$where='';
	/*
$tsql="select a.BalanceUnit,NAV,a.PercentageFee,a.MgtFee,b.FullName,c.IDProduct,c.ProductName
from fn_KPIReport_OutstandingBalanceUnit('".$tgl."','".$tgl2."') a
inner join tcustomer b on b.IDCustomer=a.CustomerID
inner join tproduct c on c.IDProduct=a.ProductID 
where a.Sales_AgentId=".$sa." ";
*/
$tsql="SELECT a.UnitHolderIDNo,a.productcode,sum(a.navvalue),sum(a.units),b.idcustomer,b.FirstName,
	 PercentageFee = ISNULL(SFR.FeeAmount,0) / 365,
	 MGTFee = ISNULL(sum(a.units),0) * ISNULL(sum(a.navValue),0) * ISNULL(SFR.FeeAmount,0) / 100 / 365
	 FROM vTOutstandingHistoryFIFO_Units a
	 inner join tcustomer b on b.UnitHolderIDNo=a.UnitHolderIDNo
	LEFT JOIN dbo.TPRODUCT c ON c.ProductCode = a.ProductCode 
	LEFT JOIN dbo.TProductFeeByDate PF ON PF.IDProduct = c.IDProduct AND PF.[Type] = 'MGT' AND PF.IsActive = 1 AND PF.EffectiveDate <= '".$tgl2."'
	LEFT JOIN dbo.TSharingFee SF ON SF.FeeID = PF.FeeID AND SF.IDStatus = 'ACTIVE'
	LEFT JOIN dbo.TSharingFeeRule SFR ON SFR.FeeID = SF.FeeID AND SFR.IDStatus = SF.IDStatus
	 where navdate between '".$tgl."' and '".$tgl2."' ";
//order by feedate,b.productname desc
	
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		print_r($row);
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	
	//return $tsql;
	return $data;
}
function get_sa_prod_shrfee($sa)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/*
	$tsql = "select a.ProductID,b.productname
from TSharingFeeHistory a 
inner join TProduct b on a.ProductID=b.IDProduct 
left join TSubAccount d on a.subaccountid=d.idsubaccount
where d.idcustomer=".$sa."
group by a.ProductID,b.productname";

$tsql="
select a.ProductID,b.productname
from TSharingFeeHistory a 
inner join TProduct b on a.ProductID=b.IDProduct 
where a.agentid=".$sa."
group by a.ProductID,b.productname";
*/

$tsql="
select b.IDProduct,ProductName,ProductCode from TSubAccount SA
		inner join TProduct b on SA.IDProduct=b.IDProduct
		OUTER APPLY dbo.fnCore_SIAR_GetAgentCustomer('2017-07-31',NULL,SA.IDCustomer,NULL) AC
		OUTER APPLY dbo.fnCore_SIAR_GetSalesStructure('2017-07-31',NULL,AC.AgentId) SS
		where  AC.IDCustomer = SA.IDCustomer AND SS.Sales_AgentId = AC.AgentId
		AND SA.IDCustomer=".$sa."
		group by b.IDProduct,ProductCode,ProductName  ";
		//SS.Branch_IDAgentTree=5
		//and
//order by feedate,b.productname desc
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}
function get_sa_shrfee()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	} 
	$tsql = "select e.idcustomer,e.firstname
from  TCustomer e 
where InvestorType='C'";  
	/* 
$tsql="
select agentid,nameagent 
from tagent b where AgentLevelID=5
group by agentid,nameagent";
*/
//order by feedate,b.productname desc
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data[]=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}


function get_client_siar()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select IDCustomer,FirstName from TCustomer";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();
	while($row = sqlsrv_fetch_array($stmt)){
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prod[]=$row[1];
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid);
}
function get_agent_siar()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select agentid,nameagent from TAgent where codeagent!=''";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();
	while($row = sqlsrv_fetch_array($stmt)){
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prod[]=$row[1];
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prod,$prodid);
}
function get_clientagent_siar()
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select idcustomer,agentid from tagentcustomer order by agentid asc ";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */  
	$prod=array();$prodid=array();$prodcode=array();
	while($row = sqlsrv_fetch_array($stmt)){
		if (!in_array($row[2], $prod)){
			$prodid[]=$row[0];
			$prod[]=$row[1];
		}
	}
	//print_r($prod);  

	/* Free statement and connection resources. */  
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return array($prodid,$prod);
}


function n_holiday_period($tgl1,$tgl2)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	$tsql = "select count(idholiday) from tholiday where holidaydate >= '".$tgl1."' and holidaydate <= '".$tgl2."' ";  
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	 
	$row = sqlsrv_fetch_array($stmt);
	//print_r($prod);  


	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	return $row[0];
}


function get_nav_last_per_month($idp,$thn,$bln)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	} 
	$tsql = "select 
top 1 value,convert(varchar,navdate,120) 
from tnav 
where idproduct=".$idp." 
and navdate like '".$thn."-".$bln."%' 
order by navdate desc";  

	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     //die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=array();  
	while($row = sqlsrv_fetch_array($stmt)){
		$data=$row;
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}
function get_balanceunit_per_month($idp,$tgl)
{	
	$serverName = "172.25.250.20";  
	$db_connections_siar = array( "UID"=>"appims", "PWD"=>"P4ssw0rd","Database"=>"KRESNA_IMSSIAR");
	$conn = sqlsrv_connect( $serverName, $db_connections_siar);
	if( $conn === false )  
	{  
	     return "Could not connect.\n";  
	     //die( print_r( sqlsrv_errors(), true));  
	} 
	$tsql = "select sum(balanceunit) from fn_TOutstandingHistoryFIFO_GetBalancePerProduct(null,".$idp.",'".$tgl."')";

//order by feedate,b.productname desc
	$stmt = sqlsrv_query( $conn, $tsql);  
	if( $stmt === false )  
	{  
	     return "Error in executing query.</br>";  
	     die( print_r( sqlsrv_errors(), true));  
	}  
	/* Retrieve and display the results of the query. */
	$data=0;  
	while($row = sqlsrv_fetch_array($stmt)){
		$data=$row[0];
	}
	sqlsrv_free_stmt( $stmt);  
	sqlsrv_close( $conn); 
	//return $tsql;
	return $data;
}
/*
SELECT '2017-07-31' AS OutstandingDate,
			   SS.Division_AgentId, SS.Division_IDAgentTree, SS.Division_NameAgent,
			   AreaManager_AgentId = SS.Branch_AgentId,
			   AreaManager_IDAgentTree = SS.Branch_IDAgentTree, 
			   AreaManager_NameAgent = SS.Branch_NameAgent, 
			   SS.BranchManager_AgentId, SS.BranchManager_IDAgentTree, SS.BranchManager_NameAgent,
			   SS.TeamLeader_AgentId, SS.TeamLeader_IDAgentTree, SS.TeamLeader_NameAgent,
			   SS.Sales_AgentId, 
			   SS.Sales_IDAgentTree,
			   SS.Sales_NameAgent,
			   CustomerID = OH.IDCustomer,
			   ProductID = OH.IDProduct,
			   BalanceUnit = ISNULL(OH.BalanceUnit, 0),
			   NAV = ISNULL(TN.Value, 0),
			   PercentageFee = ISNULL(SFR.FeeAmount,0) / 365,
			   MGTFee = ISNULL(OH.BalanceUnit,0) * ISNULL(TN.Value,0) * ISNULL(SFR.FeeAmount,0) / 100 / 365
		FROM dbo.fn_TOutstandingHistoryFIFO_GetBalancePerProduct(NULL,NULL,DATEADD(DAY,-1,'2017-07-31')) OH
		LEFT JOIN dbo.TNAV TN ON TN.IDProduct = OH.IDProduct AND TN.NAVDate='2017-07-31'
		LEFT JOIN dbo.TSubAccount SA ON SA.IDSubAccount = OH.IdSubAccount
		OUTER APPLY dbo.fnCore_SIAR_GetAgentCustomer('2017-07-31',NULL,SA.IDCustomer,NULL) AC
		OUTER APPLY dbo.fnCore_SIAR_GetSalesStructure('2017-07-31',NULL,AC.AgentId) SS
		LEFT JOIN dbo.TProductFeeByDate PF ON PF.IDProduct = SA.IDProduct AND PF.[Type] = 'MGT' AND PF.IsActive = 1 AND PF.EffectiveDate <= '2017-07-31'
		LEFT JOIN dbo.TSharingFee SF ON SF.FeeID = PF.FeeID AND SF.IDStatus = 'ACTIVE'
		LEFT JOIN dbo.TSharingFeeRule SFR ON SFR.FeeID = SF.FeeID AND SFR.IDStatus = SF.IDStatus
		WHERE AC.IDCustomer = SA.IDCustomer AND SS.Sales_AgentId = AC.AgentId
*/
//--------------------------------------------------------------------------------
